CWStruct::DSET Struct Reference

main structure which correspond to a document part More...

`#include <CWStruct.hxx>`

Inheritance diagram for CWStruct::DSET:

## Classes

struct | Child
| structure used to define the child of a DSET structure More...

## Public Types

enum | Type { T_Main =0, T_Header, T_Footer, T_Frame, T_Footnote, T_Table, T_Slide, T_Unknown }
| the document type More...

## Public Member Functions

| DSET ()
| constructor More...
virtual | ~DSET ()
| virtual destructor More...
bool | okChildId (int zoneId) const
| test is a child id is valid More...

## Public Attributes

long | m_size
| the size of the DSET header More...
long | m_numData
| the number of header More...
long | m_dataSz
| the data size More...
long | m_headerSz
| the header size More...
Type | m_type
| the document type More...
int | m_fileType
| the type ( 0: text, -1: graphic, ...) More...
int | m_id
| the identificator More...
std::set< int > | m_fathersList
| the list of fathers More...
std::set< int > | m_validedChildList
| the list of verified child More...
int | m_beginSelection
| the begin of selection ( at least in text header) More...
int | m_endSelection
| the end of selection ( at least in text header) More...
int | m_textType
| the text type (header/footer,footnote, ...) More...
int | m_flags [4]
| some unknown flag More...
std::vector< Child > | m_childs
| the list of child zone More...
std::vector< int > | m_otherChilds
| the list of other child More...
bool | m_parsed
| a flag to know if the entry is sent or not to the listener More...
int | m_internal
| an internal variable used to do some computation More...

## Friends

std::ostream & | operator<< (std::ostream &o, DSET const &doc)
| operator<< More...

## Detailed Description

main structure which correspond to a document part

## Member Enumeration Documentation

enum CWStruct::DSET::Type

the document type

Enumerator
T_Main |
T_Header |
T_Footer |
T_Frame |
T_Footnote |
T_Table |
T_Slide |
T_Unknown |

## Constructor & Destructor Documentation

CWStruct::DSET::DSET | ( |  | ) |

inline

constructor

virtual CWStruct::DSET::~DSET | ( |  | ) |

inline virtual

virtual destructor

## Member Function Documentation

bool CWStruct::DSET::okChildId | ( | int | zoneId | ) | const

inline

test is a child id is valid

Referenced by CWTableInternal::Table::checkChildZones(), CWText::sendText(), and CWGraph::updateInformation().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | DSET const & | doc
| ) |  |

friend

operator<<

## Member Data Documentation

int CWStruct::DSET::m_beginSelection

the begin of selection ( at least in text header)

Referenced by CWStruct::operator<<(), and CWParser::readDSET().

std::vector<Child> CWStruct::DSET::m_childs

the list of child zone

Referenced by CWStruct::operator<<().

long CWStruct::DSET::m_dataSz

the data size

Referenced by CWStruct::operator<<(), CWGraph::readBitmapZone(), CWDatabase::readDatabaseZone(), CWParser::readDSET(), CWGraph::readGroupZone(), CWPresentation::readPresentationZone(), CWSpreadsheet::readSpreadsheetZone(), and CWTable::readTableZone().

int CWStruct::DSET::m_endSelection

the end of selection ( at least in text header)

Referenced by CWStruct::operator<<(), and CWParser::readDSET().

std::set<int> CWStruct::DSET::m_fathersList

the list of fathers

Referenced by CWStruct::operator<<().

int CWStruct::DSET::m_fileType

the type ( 0: text, -1: graphic, ...)

Referenced by CWStruct::operator<<(), CWGraph::readBitmapZone(), CWDatabase::readDatabaseZone(), CWParser::readDSET(), CWText::readDSETZone(), CWGraph::readGroupZone(), CWPresentation::readPresentationZone(), CWSpreadsheet::readSpreadsheetZone(), and CWTable::readTableZone().

int CWStruct::DSET::m_flags[4]

some unknown flag

Referenced by DSET(), CWStruct::operator<<(), and CWParser::readDSET().

long CWStruct::DSET::m_headerSz

the header size

Referenced by CWStruct::operator<<(), CWGraph::readBitmapZone(), CWDatabase::readDatabaseZone(), CWParser::readDSET(), CWGraph::readGroupZone(), CWPresentation::readPresentationZone(), CWSpreadsheet::readSpreadsheetZone(), and CWTable::readTableZone().

int CWStruct::DSET::m_id

the identificator

Referenced by CWStruct::operator<<(), CWParser::readDSET(), and CWText::sendText().

int CWStruct::DSET::m_internal

mutable

an internal variable used to do some computation

long CWStruct::DSET::m_numData

the number of header

Referenced by CWStruct::operator<<(), CWGraph::readBitmapZone(), CWDatabase::readDatabaseZone(), CWParser::readDSET(), CWText::readDSETZone(), CWGraph::readGroupZone(), CWPresentation::readPresentationZone(), CWSpreadsheet::readSpreadsheetZone(), and CWTable::readTableZone().

std::vector<int> CWStruct::DSET::m_otherChilds

the list of other child

Referenced by CWStruct::operator<<(), CWTable::readTableCells(), and CWPresentation::readZone1().

bool CWStruct::DSET::m_parsed

mutable

a flag to know if the entry is sent or not to the listener

long CWStruct::DSET::m_size

the size of the DSET header

Referenced by CWParser::readDSET().

int CWStruct::DSET::m_textType

the text type (header/footer,footnote, ...)

Referenced by CWStruct::operator<<(), and CWParser::readDSET().

Type CWStruct::DSET::m_type

the document type

Referenced by CWStruct::operator<<(), and CWGraph::updateInformation().

std::set<int> CWStruct::DSET::m_validedChildList

the list of verified child

Referenced by okChildId(), and CWStruct::operator<<().

The documentation for this struct was generated from the following file:

- CWStruct.hxx